# Mixin: globalMethods

## globalMethods

Source:
  - collections/VariableDeclarator.js, line 28

### Methods

#### (static) findJSXElements(name) → {Collection}

Finds all JSXElements optionally filtered by name

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - collections/JSXElement.js, line 37

##### Returns:

Type
  Collection

#### (static) findJSXElementsByModuleName()

Finds all JSXElements by module name. Given var Bar = require('Foo'); <Bar /> findJSXElementsByModuleName('Foo') will find <Bar />, without having to know the variable name.

Source:
  - collections/JSXElement.js, line 51

#### (static) findVariableDeclarators(name) → {Collection}

Finds all variable declarators, optionally filtered by name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - collections/VariableDeclarator.js, line 35

##### Returns:

Type
  Collection

## globalMethods

Contains filter methods and mutation methods for processing JSXElements.

Source:
  - collections/JSXElement.js, line 30

### Methods

#### (static) findJSXElements(name) → {Collection}

Finds all JSXElements optionally filtered by name

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - collections/JSXElement.js, line 37

##### Returns:

Type
  Collection

#### (static) findJSXElementsByModuleName()

Finds all JSXElements by module name. Given var Bar = require('Foo'); <Bar /> findJSXElementsByModuleName('Foo') will find <Bar />, without having to know the variable name.

Source:
  - collections/JSXElement.js, line 51

#### (static) findVariableDeclarators(name) → {Collection}

Finds all variable declarators, optionally filtered by name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string |

Source:
  - collections/VariableDeclarator.js, line 35

##### Returns:

Type
  Collection